Page MenuHomePhabricator

test: add test for a former race resulting in bad dirstate
ClosedPublic

Authored by valentin.gatienbaron on Nov 10 2021, 8:24 PM.

Details

Summary

In 6.0 this used to result in the size being stored in the dirstate is wrong.
This was fixed by other change to the mtime gathering logic.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

We have a series that we plan to send once the 6.1 cycle start to address this kind of race (in short, the current metadata gathering is flawed).
I'll integrate this test update within that series.

I am about to send an updated version of this rebased on the current trunk. I can confirm the test now pass on current trunk.

marmoute updated this revision to Diff 31304.Dec 3 2021, 12:19 PM
marmoute updated this revision to Diff 31313.Dec 4 2021, 7:52 AM
Alphare added a subscriber: Alphare.Dec 6 2021, 4:50 AM

Seems like the test comments need adjusting now?

marmoute retitled this revision from test: add test of a race resulting in bad dirstate to test: add test for a former race resulting in bad dirstate.Dec 10 2021, 4:49 PM
marmoute edited the summary of this revision. (Show Details)
marmoute updated this revision to Diff 31428.
Alphare accepted this revision.Dec 13 2021, 9:07 AM

Thanks

This revision is now accepted and ready to land.Dec 13 2021, 9:07 AM